/*************************************************************************
**	FLASH Layout Information for BH/Net
**
**	!! Important Note: Certain values in this file are created from the Makefile
**						AND from file BHN_flash_template.h
**
**	!!!! DO NOT MODIFY THIS FILE DIRECTLY !!!!!
*/

#ifndef _BHN_FLASH
	#define _BHN_FLASH

	// Base Address
	#define FL_BASE					0xFFE00000
	#define FL_SIZE					2097152
	#define SEC0_SIZE				16384		// sector 0
	#define SEC12_SIZE				8192		// sectors 1,2
	#define SEC3_SIZE				32768		// sector 3
	#define SECN_SIZE				65536		// all other sectors

	// Booter
	#define FL_BOOTER				0xFFE00000							// starting address
	#define FL_BOOTER_OFFSET		(FL_BOOTER - FL_BASE)					// offset from beginning of flash
	#define FL_BOOTER_SIZE			16384									// total size
	#define FL_BOOTER_SEC_SIZE		SEC0_SIZE								// sector size
	#define FL_BOOTER_SECTORS		(FL_BOOTER_SIZE / FL_BOOTER_SEC_SIZE)	// number of sectors

	// Manufacturing information
	#define FL_MFG 					0xFFE02000
	#define FL_MFG_OFFSET			(FL_MFG - FL_BASE)

	// CDS
	#define FL_CDS_A				0xFFE04000
	#define FL_CDS_B				0xFFE06000
	#define FL_CDS_A_OFFSET			(FL_CDS_A - FL_BASE)
	#define FL_CDS_B_OFFSET			(FL_CDS_B - FL_BASE)
	#define FL_CDS_SIZE				SEC12_SIZE
	#define FL_CDS_SEC_SIZE			SEC12_SIZE
	#define FL_CDS_SECTORS			(FL_CDS_SIZE / FL_CDS_SEC_SIZE)

	// Loader-SCM
	#define FL_LOADER_A				0xFFE10000
	#define FL_LOADER_B				0xFFE40000
	#define FL_LOADER_A_OFFSET		(FL_LOADER_A - FL_BASE)
	#define FL_LOADER_B_OFFSET		(FL_LOADER_B - FL_BASE)
	#define FL_LOADER_SIZE			196608
	#define FL_LOADER_SEC_SIZE		SECN_SIZE
	#define FL_LOADER_SECTORS		(FL_LOADER_SIZE / FL_LOADER_SEC_SIZE)

	// uClinux
	#define FL_UCLINUX				0xFFE70000
	#define FL_UCLINUX_OFFSET		(FL_UCLINUX - FL_BASE)
	#define FL_UCLINUX_SIZE 		0x00130000
	#define FL_UCLINUX_SEC_SIZE		SECN_SIZE
	#define FL_UCLINUX_SECTORS		(FL_UCLINUX_SIZE / FL_UCLINUX_SEC_SIZE)

	// FFS
	#define FL_FFS					0xFFFA0000
	#define FL_FFS_OFFSET			(FL_FFS - FL_BASE)
	#define FL_FFS_SIZE				0x60000
	#define FL_FFS_SEC_SIZE			SECN_SIZE
	#define FL_FFS_SECTORS			(FL_FFS_SIZE / FL_FFS_SEC_SIZE)

#endif
